com.amazonaws.services.cloudsearch.model

## クラス DefaultSearchFieldStatus

- java.lang.Object
- - com.amazonaws.services.cloudsearch.model.DefaultSearchFieldStatus

- すべての実装されたインタフェース:
    java.io.Serializable

      public class DefaultSearchFieldStatus
      extends java.lang.Object
      implements java.io.Serializable

  The value of the `DefaultSearchField` configured for this search domain and its current status.

  関連項目:
    直列化された形式

- - ### コンストラクタの概要

    コンストラクタ
    コンストラクタと説明
    `DefaultSearchFieldStatus()`

  - ### メソッドの概要

    メソッド
    修飾子とタイプ | メソッドと説明
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getOptions()` The name of the `IndexField` to use as the default search field.
    `OptionStatus` | `getStatus()` The status of an option, including when it was last updated and whether it is actively in use for searches.
    `int` | `hashCode()`
    `void` | `setOptions(java.lang.String options)` The name of the `IndexField` to use as the default search field.
    `void` | `setStatus(OptionStatus status)` The status of an option, including when it was last updated and whether it is actively in use for searches.
    `java.lang.String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
    `DefaultSearchFieldStatus` | `withOptions(java.lang.String options)` The name of the `IndexField` to use as the default search field.
    `DefaultSearchFieldStatus` | `withStatus(OptionStatus status)` The status of an option, including when it was last updated and whether it is actively in use for searches.

    - ### クラスから継承されたメソッド java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### コンストラクタの詳細

    - #### DefaultSearchFieldStatus

          public DefaultSearchFieldStatus()

  - ### メソッドの詳細

    - #### getOptions

          public java.lang.String getOptions()

      The name of the `IndexField` to use as the default search field. The default is an empty string, which automatically searches all text fields.

      Constraints:
      Length: 1 - 64
      Pattern: [a-z][a-z0-9_]*

      戻り値:
        The name of the `IndexField` to use as the default search field. The default is an empty string, which automatically searches all text fields.

    - #### setOptions

          public void setOptions(java.lang.String options)

      The name of the `IndexField` to use as the default search field. The default is an empty string, which automatically searches all text fields.

      Constraints:
      Length: 1 - 64
      Pattern: [a-z][a-z0-9_]*

      パラメータ:
        `options` - The name of the `IndexField` to use as the default search field. The default is an empty string, which automatically searches all text fields.

    - #### withOptions

          public DefaultSearchFieldStatus withOptions(java.lang.String options)

      The name of the `IndexField` to use as the default search field. The default is an empty string, which automatically searches all text fields.

      Returns a reference to this object so that method calls can be chained together.

      Constraints:
      Length: 1 - 64
      Pattern: [a-z][a-z0-9_]*

      パラメータ:
        `options` - The name of the `IndexField` to use as the default search field. The default is an empty string, which automatically searches all text fields.

    - #### getStatus

          public OptionStatus getStatus()

      The status of an option, including when it was last updated and whether it is actively in use for searches.
      戻り値:
        The status of an option, including when it was last updated and whether it is actively in use for searches.

    - #### setStatus

          public void setStatus(OptionStatus status)

      The status of an option, including when it was last updated and whether it is actively in use for searches.
      パラメータ:
        `status` - The status of an option, including when it was last updated and whether it is actively in use for searches.

    - #### withStatus

          public DefaultSearchFieldStatus withStatus(OptionStatus status)

      The status of an option, including when it was last updated and whether it is actively in use for searches.

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `status` - The status of an option, including when it was last updated and whether it is actively in use for searches.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object; useful for testing and debugging.
      オーバーライド:
        `toString` クラス内 `java.lang.Object`
      戻り値:
        A string representation of this object.
      関連項目:
        `Object.toString()`

    - #### hashCode

          public int hashCode()

      オーバーライド:
        `hashCode` クラス内 `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      オーバーライド:
        `equals` クラス内 `java.lang.Object`